@php
    if (!isset($data)) {
        $data = false;
        $type = false;
    }
    if ($data) {
        $target = $data['target'] ? $data['target'] : '_self';
    }
@endphp

@if ($data)
    <a href="{{ $data['url'] }}" target="{{ $target }}" class="button @if($type) button--{{ $type }} @endif">{{ $data['title'] }}</a>
@endif